{*******************************************************************************}
{                                                                               }
{ FileName  : TabPageControlReg.pas                                             }
{                                                                               }
{ Author    : Ian Lane (Email: lanei@ideal.net.au)                              }
{                                                                               }
{ Synopsis  : This unit registers all of our components, component editors,     }
{             property editors and experts with the Delphi vcl.                 }
{                                                                               }
{ See also  : UTabPageControl.pas and UTabPageControlEditors.pas for the        }
{             definitions and implementation of all our components, editors and }
{             experts.                                                          }
{                                                                               }
{                          Copyright (c) 1997 Ian Lane                          }
{                                                                               }
{*******************************************************************************}

unit TabPageControlReg;

interface

procedure Register;

implementation

uses
  Classes, ComCtrls, Controls, DsgnIntf, ExptIntf, UTabPageControl, UTabPageControlEditors;

procedure Register;

begin
  // Register the components that are to appear in the Delphi component palette
  RegisterComponents('TabPageControl', [TTabPageControl]);
  RegisterComponents('TabPageControl', [TTabPageSettings]);

  // Register our component editors
  RegisterComponentEditor(TTabPageControl, TTabPageControlEditor);
  RegisterComponentEditor(TTabPageSettings, TTabPageSettingsEditor);

  // Register our property editors
  RegisterPropertyEditor(TypeInfo(Integer), TTabPageControl, 'ActiveTabPage',
                         TActivePagePropertyEditor);
  RegisterPropertyEditor(TypeInfo(TNotifyEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TTabChangingEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TDragDropEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TDragOverEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TEndDragEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TKeyEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TKeyPressEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TMouseEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TMouseMoveEvent), TTabPageSettings, '',
                         TMethodPropertyEditor);
  RegisterPropertyEditor(TypeInfo(TStartDragEvent), TTabPageSettings, '',
                         TMethodPropertyEditor)
end;

end.
